Bug 36050 - maintained / unmaintained packages
maintained / unmaintained packages
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: General
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.0
Assigned To: Felix Botner
Drees Dormann
: interim-3
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-10-06 11:48 CEST by Stefan Gohmann
Modified: 2014-11-26 06:55 CET (History)
0 users

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2014-10-06 11:48:49 CEST
The list of maintained / unmaintained packages should be compared between UCS 3 and UCS 4. At least pykota is unmaintained in UCS4 and maintained in UCS 3.
Comment 1 Stefan Gohmann univentionstaff 2014-10-21 08:25:25 CEST
The following packages are no longer on the DVD:

akonadiconsole
alsa-base
amarok
amarok-common
amarok-utils
anacron
apache2-mpm-worker
arts
bacula-director-sqlite
blogilo
busybox-static
cdparanoia
cdrdao
cifs-utils
citadel-mta
citadel-server
cluster-agents
cpqarrayd
cups-driver-gutenprint
cyrus-admin-2.2
cyrus-common-2.2
cyrus-imapd-2.2
cyrus-pop3d-2.2
db4.6-util
default-jre
default-jre-headless
defoma
desktop-file-utils
dhcp3-client
dhcp3-common
dhcp3-server
dirmngr
djvulibre-desktop
dump
esound-common
etherboot-qemu
evolution-data-server-common
fakeroot
fastjar
foomatic-db
foomatic-db-engine
foomatic-db-gutenprint
foomatic-filters-ppds
g++-4.4
gcc-4.4
gdm
gimp
gimp-data
gksu
gnome-about
gnome-desktop-data
gnome-menus
gnome-panel
gnome-panel-data
gnome-session
gnome-session-bin
gnome-session-common
gnome-settings-daemon
gnu-efi
gnupg2
gnupg-agent
gpgsm
grub
grub-efi-amd64-signed
gvfs
hal
hal-info
hdparm
heirloom-mailx
hibernate
hpijs
hplip
hplip-cups
hplip-data
ia32-libs
ia32-libs-gtk
iamerican
icedtea6-plugin
ijsgutenprint
imapsync
ingerman
ispell
k3b
k3b-data
kaboom
kaffeine
kalarm
kamera
kappfinder
kdebase
kdebase-apps
kdebase-bin
kdebase-data
kdebase-runtime
kdebase-runtime-data
kdebase-workspace
kdebase-workspace-bin
kdebase-workspace-data
kdebase-workspace-kgreet-plugins
kde-config-cddb
kdegraphics-libs-data
kde-i18n-de
kdemultimedia
kdemultimedia-kio-plugins
kdenetwork
kdepim
kdepim-groupware
kdepim-kresources
kdepim-strigi-plugins
kdepim-wizards
kdewallpapers
kget
kjots
kleopatra
klogd
knode
konsolekalendar
kontact
krdc
krfb
kscd
ktimetracker
lib32asound2
lib32bz2-1.0
lib32ncurses5
libaa1
libakonadiprivate1
libao4
libao-common
libarchive1
libart-2.0-2
libarts1c2a
libartsc0
libaudiofile0
libavcodec52
libavformat52
libavutil49
libbabl-0.0-0
libblas3gf
libblkid-dev
libbonobo2-0
libbonobo2-common
libbonoboui2-0
libbonoboui2-common
libboost-filesystem1.42.0
libboost-iostreams1.42.0
libboost-program-options1.42.0
libboost-system1.42.0
libboost-thread1.42.0
libburn4
libcamel1.2-14
libcanberra-gtk0
libc-client2007e
libcdio10
libcdparanoia0
libcitadel2
libclass-mop-perl
libcluster-glue
libcolamd2.7.1
libcommons-collections3-java
libcompress-raw-zlib-perl
libconfig-simple-perl
libcupsdriver1
libcyrus-imap-perl22
libdb4.6
libdb4.7
libdb4.8
libdbi0
libdcerpc0
libdcerpc-server0
libdevmapper-dev
libdigest-sha1-perl
libdmx1
libdns81
libdrm-nouveau1
libebook1.2-9
libecal1.2-7
libedataserver1.2-13
libedataserverui1.2-8
libeggdbus-1-0
libept1
libesd0
libevent-1.4-2
libexempi3
libexiv2-9
libfftw3-3
libflac++6
libgdu0
libgegl-0.0-0
libgensec0
libgimp2.0
libgksu2-0
libgmime-2.4-2
libgmime2.4-cil
libgmp3c2
libgnome2-0
libgnome2-common
libgnomecanvas2-0
libgnomecanvas2-common
libgnome-desktop-2-17
libgnomekbd4
libgnomekbd-common
libgnome-keyring0
libgnome-menu2
libgnomeui-0
libgnomeui-common
libgphoto2-2
libgphoto2-port0
libgpod4-nogtk
libgps19
libgraphicsmagick3
libgs8
libgtop2-7
libgtop2-common
libgweather1
libgweather-common
libhal1
libhal-storage1
libhsqldb-java
libhunspell-1.2-0
libhyphen0
libicu44
libieee1284-3
libimobiledevice1
libisc81
libisccfg80
libiso9660-7
libisoburn1
libisofs6
libk3b6
libkblog4
libkcddb4
libkephal4
libkexiv2-8
libkipi7
libkonq5
libkpathsea5
libkrb53
libksba8
libktorrent2
libkutils4
libkwebkit1
libkwineffects1a
libkworkspace4
libkxmlrpcclient4
liblapack3gf
liblastfm0
libloudmouth1-0
liblucene2-java
liblzma2
libmagick++3
libmagickcore3
libmagickwand3
libmarblewidget4
libmcrypt4
libmediastreamer0
libmetacity-private0
libmime-perl
libmono0
libmono1.0-cil
libmono-accessibility1.0-cil
libmono-bytefx0.7.6.1-cil
libmono-bytefx0.7.6.2-cil
libmono-cairo1.0-cil
libmono-corlib1.0-cil
libmono-cscompmgd7.0-cil
libmono-data1.0-cil
libmono-data2.0-cil
libmono-data-tds1.0-cil
libmono-debugger-soft0.0-cil
libmono-dev
libmono-getoptions1.0-cil
libmono-getoptions2.0-cil
libmono-i18n1.0-cil
libmono-i18n-west1.0-cil
libmono-ldap1.0-cil
libmono-microsoft7.0-cil
libmono-npgsql1.0-cil
libmono-oracle1.0-cil
libmono-peapi1.0-cil
libmono-posix1.0-cil
libmono-relaxng1.0-cil
libmono-security1.0-cil
libmono-sharpzip0.6-cil
libmono-sharpzip0.84-cil
libmono-sqlite1.0-cil
libmono-system1.0-cil
libmono-system-data1.0-cil
libmono-system-ldap1.0-cil
libmono-system-messaging1.0-cil
libmono-system-runtime1.0-cil
libmono-system-web1.0-cil
libmono-webbrowser0.5-cil
libmono-winforms1.0-cil
libmtp8
libmusicbrainz4c2a
libmysqlclient16
libmythes-1.2-0
libnautilus-extension1
libndr0
libndr-standard0
libnetapi0
libnet-daemon-perl
libnm-glib2
libnm-glib-vpn1
libnm-util1
libnotify1
libnss-passwdcache
libntfs10
libntfs-3g75
libnunit2.4-cil
libofa0
libopenal1
libopenraw1
libpam-passwdcache
libpanel-applet2-0
libpango1.0-common
libparted0-dev
libperl5.10
libpkcs11-helper1
libplasmaclock4a
libplrpc-perl
libpolkit-qt-1-0
libpoppler5
libpoppler-glib4
libpostproc51
libprocesscore4a
libproc-simple-perl
libpulse-browse0
libqt3-mt
libqt4-assistant
libqt4-help
libqt4-scripttools
libqt4-sql-sqlite
libqt4-test
libqt4-webkit
libqtscript4-core
libqtscript4-gui
libqtscript4-network
libqtscript4-sql
libqtscript4-uitools
libqtscript4-xml
libradius1
libraptor1
librasqal2
libregistry0
librpm1
librpmbuild1
librpmio1
libsamba-credentials0
libsamba-hostconfig0
libsamba-policy0
libsamba-util0
libsamdb0
libsane
libsane-extras
libsane-hpaio
libscim8c2a
libsdl1.2debian-alsa
libselinux1-dev
libsepol1-dev
libserf-0-0
libsieve2-1
libsmbclient-raw0
libsmbd0
libsolidcontrol4
libsolidcontrolifaces4
libsoup-gnome2.4-1
libsqlite0
libssl0.9.8
libstdc++6-4.4-dev
libsvga1
libswscale0
libt1-5
libtag-extras1
libtaskmanager4a
libtelepathy-qt4-0
libterm-readpassword-perl
libtommath0
libtunepimp5
libunique-1.0-0
libvirt-bin
libvncserver0
libwavpack1
libweather-ion4a
libwebkit-1.0-2
libwebkit-1.0-common
libwine
libwine-alsa
libwine-cms
libwine-gl
libwine-gphoto2
libwine-ldap
libwine-print
libwine-sane
libwnck22
libwnck-common
libwpd8c2a
libwpg-0.1-1
libwps-0.1-1
libx86-1
libxcb-atom1
libxcb-aux0
libxcb-event1
libxcb-xv0
libxcomp3
libxcompext3
libxcompshad3
libxen4.1
libxine1
libxine1-bin
libxine1-console
libxine1-ffmpeg
libxine1-misc-plugins
libxine1-plugins
libxine1-x
libxklavier16
libxres1
libyajl1
linux-headers-3.10.0-ucs73-amd64
linux-headers-3.10.0-ucs73-common
linux-image-3.10.0-ucs73-amd64
linux-kbuild-3.10
linux-sound-base
linux-source-3.10
lp-solve
mbr
menu
menu-xdg
metacity
metacity-common
mlock
mono-1.0-devel
mono-1.0-gac
mono-1.0-service
mono-2.0-devel
mplayer
mtools
myspell-de-ch
myspell-de-de
mysql-client-5.1
mysql-server-5.1
mysql-server-core-5.1
nautilus
nautilus-data
netmask
network-manager-openvpn
ntfs-3g
ntfsprogs
nxproxy
openjdk-6-jre
openjdk-6-jre-headless
openjdk-6-jre-lib
openoffice.org
openoffice.org-base
openoffice.org-base-core
openoffice.org-calc
openoffice.org-common
openoffice.org-core
openoffice.org-draw
openoffice.org-filter-mobiledev
openoffice.org-help-de
openoffice.org-help-en-us
openoffice.org-impress
openoffice.org-java-common
openoffice.org-kde
openoffice.org-l10n-de
openoffice.org-math
openoffice.org-officebean
openoffice.org-report-builder-bin
openoffice.org-style-crystal
openoffice.org-style-galaxy
openoffice.org-writer
openprinting-ppds-extra
openvpn
openvpn-blacklist
oss-compat
phonon-backend-xine
php5-imap
php5-mcrypt
php5-suhosin
php5-xmlrpc
php-db
php-file
php-log
php-mail
php-mail-mime
php-mail-mimedecode
php-mdb2-driver-mysql
php-net-dime
php-net-ftp
php-soap
pinentry-gtk2
pmount
pnm2ppa
policykit-1-gnome
portmap
poster
postgresql-8.4
postgresql-client-8.4
prj2make-sharp
procinfo
pulseaudio-utils
python2.5
python2.5-minimal
python-gconf
python-gmenu
python-gnome2
python-gobject
python-kde4
python-lxml
python-pyorbit
python-pysnmp-common
python-qt4
python-samba4
python-sip
qemu-keymaps
qemu-utils
qt4-qtconfig
radiusclient1
rar
ruby1.8
samba4
samba4-clients
samba-ad-dc
sane-utils
shim
shim-signed
smbfs
sqlite
sshfs
sshpass
ssmtp
strace
sysklogd
syslinux3
syslinux3-common
tcl
tinymce2
ttf-freefont
ttf-lyx
ttf-mscorefonts-installer
ttf-opensymbol
ttf-sil-gentium-basic
univention-directory-logger
univention-directory-manager-module-example
univention-directory-manager-module-example-schema
univention-flashplugin
univention-fonts
univention-gdm
univention-gdm-sessions
univention-installer
univention-installer-modules
univention-legacy-kolab-schema
univention-log-collector-client
univention-log-collector-server
univention-managed-client
univention-management-console-module-vnc
univention-mobile-client
univention-net-installer
univention-net-installer-daemon
univention-ooffice
univention-ooffice2
univention-radius
univention-showload
univention-uefi
univention-uefi-secureboot
univention-virtual-machine-manager-node-xen
univention-xen
univention-xen-gplpv
uno-libs3
unrar
ure
usb-modeswitch
usb-modeswitch-data
uuid-dev
vgabios
vpnc
winbind4
wine-bin
wine-utils
wngerman
wodim
x2goagent
x2goclient-cli
x2goserver
x2goserver-one
xaw3dg
xen-4.1
xfonts-100dpi-transcoded
xfonts-75dpi-transcoded
xfsdump
xorriso
xserver-xorg-input-wacom
xserver-xorg-video-cyrix
xserver-xorg-video-dummy
xserver-xorg-video-glint
xserver-xorg-video-i810
xserver-xorg-video-imstt
xserver-xorg-video-nsc
xserver-xorg-video-nv
xserver-xorg-video-radeonhd
xserver-xorg-video-tga
xserver-xorg-video-v4l
xserver-xorg-video-vga
xserver-xorg-video-via
xtightvncviewer
zenity

The following of theses packages have been added (r54701):
 - dump
 - strace
 - fakeroot
 - gnupg2
 - mtools
 - ntfs-3g
 - ntfsprogs
 - openvpn
 - procinfo
 - sqlite
 - sshfs
 - sshpass
 - ssmtp
 - ure
 - xfsdump
Comment 2 Felix Botner univentionstaff 2014-11-03 17:21:45 CET
every package from the trigger list base/univention-dvd/tasks/ucs400/task-ucs400 and from the UCS 4.0 svn is on the dvd.
Comment 3 Felix Botner univentionstaff 2014-11-04 15:02:52 CET
Added amarok to maintained, see Bug #36365

the following packages (among others) will be removed  during the update (as they are no longer in maintained), maybe we should mention this in the changelog/release note?

 * gimp
 * k3b
 * kdepim
 * mplayer 
 * krdc
 * krfb
 * kontact
 * nautilus

I installed all the maintained packages mentioned on this bug in a UCS 3.2 system and tried to update. The update failed, i guess because of the missing gnome-session and gnome-panel packages in 4.0 maintained. If i remove these packages in 3.2, the update works, if i update with 4.0 unmaintained, the update also works.

=> Add gnome-session and gnome-panel to 4.0 maintained (or remove before the update)
Comment 4 Stefan Gohmann univentionstaff 2014-11-04 17:06:18 CET
(In reply to Felix Botner from comment #3)
> => Add gnome-session and gnome-panel to 4.0 maintained (or remove before the
> update)

done: r55349
Comment 5 Felix Botner univentionstaff 2014-11-04 17:58:34 CET
(In reply to Stefan Gohmann from comment #4)
> (In reply to Felix Botner from comment #3)
> > => Add gnome-session and gnome-panel to 4.0 maintained (or remove before the
> > update)
> 
> done: r55349

does not help, i still get 

E: Could not perform immediate configuration on 'kde-window-manager'. Please see man 5 apt.conf under APT::Immediate-Configure for details. (2)

during apt-get dist-upgrade if gnome-panel and gnome-session are installed. 

Do you want to remove these packages from maintained again?
Comment 6 Felix Botner univentionstaff 2014-11-06 12:15:41 CET
(In reply to Felix Botner from comment #5)
> (In reply to Stefan Gohmann from comment #4)
> > (In reply to Felix Botner from comment #3)
> > > => Add gnome-session and gnome-panel to 4.0 maintained (or remove before the
> > > update)
> > 
> > done: r55349
> 
> does not help, i still get 
> 
> E: Could not perform immediate configuration on 'kde-window-manager'. Please
> see man 5 apt.conf under APT::Immediate-Configure for details. (2)
> 
> during apt-get dist-upgrade if gnome-panel and gnome-session are installed. 
> 
> Do you want to remove these packages from maintained again?

I added gnome-session, gnome-panel and gnome-control-center to maintained.
Comment 7 Felix Botner univentionstaff 2014-11-06 13:29:17 CET
(In reply to Felix Botner from comment #3)

> 
> I installed all the maintained packages mentioned on this bug in a UCS 3.2
> system and tried to update. The update failed, i guess because of the
> missing gnome-session and gnome-panel packages in 4.0 maintained. If i
> remove these packages in 3.2, the update works, if i update with 4.0
> unmaintained, the update also works.
> 
> => Add gnome-session and gnome-panel to 4.0 maintained (or remove before the
> update)

I installed all the maintained packages except obsolete univention packages, samba packages and xen packages


update works now, added a changelog entry (several packages will be deinstalled during the update as they a no longer maintained)
Comment 8 Drees Dormann univentionstaff 2014-11-07 14:05:20 CET
installed all mentioned packages on amd64 and i386

update ok

changelog ok
Comment 9 Stefan Gohmann univentionstaff 2014-11-26 06:55:30 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".